# Get signature settings

Returns the signature configuration for the specified organization.

Endpoint: GET /api/v1/organizations/{organizationId}/settings/signature
Version: v1
Security: Bearer, PersonalAccessToken

## Security:

  - `Bearer` (unknown)
    http bearer JWT

  - `PersonalAccessToken` (unknown)
    apiKey in header Personal-Access-Token

## Path parameters:

  - `organizationId` (string, required)
    Unique identifier of the organization

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `defaultSignatureType` (string, required)
    The default signature types supported by the settings/signature endpoint.
    Enum: "ClickToSign", "DrawToSign", "TypeToSign", "RemoteCertificate", "Biometric", "LocalCertificate", "DisposableCertificate", "OneTimePassword"

  - `auditTrailMode` (string, required)
    The audit trail generation modes supported by the settings/signature endpoint.
    Enum: "Standard", "PDF/A-2b"

  - `timestamp` (object, required)
    The organization's timestamp server configuration, excluding the password.

  - `timestamp.url` (string)
    The timestamp server URL.

  - `timestamp.username` (string)
    The timestamp server username.

  - `timestamp.hashAlgorithm` (string, required)
    The hash algorithms supported by a timestamp server configuration.
    Enum: "SHA-1", "SHA-256", "SHA-512"

  - `disposableCertificate` (object)
    The organization's disposable certificate configuration, excluding the password.

  - `disposableCertificate.showDisclaimerBeforeCertificateRequest` (boolean, required)
    Whether the disclaimer is shown before requesting the certificate.

  - `disposableCertificate.sendDisposableDisclaimerDocumentNotifications` (boolean, required)
    Whether disclaimer document notifications are sent.

  - `disposableCertificate.lraId` (string)
    The LRA identifier.

  - `disposableCertificate.user` (string)
    The user identifier.

  - `disposableCertificate.disposableType` (string)
    The disposable certificate types supported by an organization.
    Enum: "Disposable", "Disposable30Days"

  - `defaultSignatureLayoutId` (string)
    The identifier of the organization's default signature layout, readable with GET /api/v1/organizations/{organizationId}/settings/signature/layouts/{layoutId}. Read-only. Null until the organization's signature layouts have been read for the first time.

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 422:

  - `422` (unknown)
    Unprocessable Content

## Response 422 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

